bin_search_tree_.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | __gnu_pbds

## Macros

#define | PB_DS_ASSERT_NODE_CONSISTENT(_Node)
#define | PB_DS_BIN_TREE_NAME
#define | PB_DS_BIN_TREE_TRAITS_BASE
#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_STRUCT_ONLY_ASSERT_VALID(X)

## Variables

template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>
bin_search_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::node_allocator | __gnu_pbds::detail::bin_search_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_node_allocator

## Detailed Description

Contains an implementation class for binary search tree.

Definition in file bin_search_tree_.hpp.

## Macro Definition Documentation

## PB_DS_ASSERT_NODE_CONSISTENT

#define PB_DS_ASSERT_NODE_CONSISTENT | ( |  | _Node | ) |

Definition at line 403 of file bin_search_tree_.hpp.

## PB_DS_BIN_TREE_NAME

#define PB_DS_BIN_TREE_NAME

Definition at line 60 of file bin_search_tree_.hpp.

## PB_DS_BIN_TREE_TRAITS_BASE

#define PB_DS_BIN_TREE_TRAITS_BASE

Definition at line 74 of file bin_search_tree_.hpp.

## PB_DS_CLASS_C_DEC

#define PB_DS_CLASS_C_DEC

Definition at line 71 of file bin_search_tree_.hpp.

## PB_DS_CLASS_T_DEC

#define PB_DS_CLASS_T_DEC

Definition at line 67 of file bin_search_tree_.hpp.

## PB_DS_STRUCT_ONLY_ASSERT_VALID

#define PB_DS_STRUCT_ONLY_ASSERT_VALID | ( |  | X | ) |

Definition at line 400 of file bin_search_tree_.hpp.

## Variable Documentation

## bin_search_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_node_allocator

template<typename Key, typename Mapped, typename Cmp_Fn, typename Node_And_It_Traits, typename _Alloc>

bin_search_tree_map<Key,Mapped,Cmp_Fn,Node_And_It_Traits,_Alloc>::node_allocator __gnu_pbds::detail::bin_search_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::s_node_allocator

Definition at line 46 of file bin_search_tree_.hpp.